import 'package:cpt_main/modules/feedback/feedback_page.dart';
import 'package:cs_resources/theme/app_colors_theme.dart';
import 'package:flutter/material.dart';
import 'package:widgets/my_load_image.dart';
import 'package:widgets/my_text_view.dart';

class HomeCategoryItem extends StatelessWidget {
  final Map<String, dynamic> category;

  HomeCategoryItem({required this.category});

  @override
  Widget build(BuildContext context) {
    return Column(
      mainAxisAlignment: MainAxisAlignment.center,
      crossAxisAlignment: CrossAxisAlignment.center,
      children: <Widget>[
        MyAssetImage(category['category_icon'], width: 70, height: 70),
        const SizedBox(height: 5),
        MyTextView(category['category_name'], fontSize: 15, isFontMedium: true, textColor: context.appColors.textBlack),
      ],
    );
  }
}
